java.lang.reflect.InvocationTargetException

This exception has no message.

Samebug tips0

There are no available Samebug tips for this exception. If you know how to solve this issue, help other users by writing a short tip.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web23832

  • via Terracotta by johannr, 11 months ago
    This exception has no message.
  • via Terracotta by pgovindraj, 11 months ago
    This exception has no message.
  • via Terracotta by bradleyw, 11 months ago
    This exception has no message.
  • Stack trace

    • java.lang.reflect.InvocationTargetException at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)[?:1.8.0_73] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)[?:1.8.0_73] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)[?:1.8.0_73] at java.lang.reflect.Method.invoke(Method.java:497)[?:1.8.0_73] at io.druid.cli.CliHadoopIndexer.run(CliHadoopIndexer.java:115)[druid-services-0.9.1.1.jar:0.9.1.1] at io.druid.cli.Main.main(Main.java:105)[druid-services-0.9.1.1.jar:0.9.1.1] Caused by: java.lang.ExceptionInInitializerError at io.druid.cli.CliInternalHadoopIndexer.getHadoopDruidIndexerConfig(CliInternalHadoopIndexer.java:161)[druid-services-0.9.1.1.jar:0.9.1.1] at io.druid.cli.CliInternalHadoopIndexer$1.configure(CliInternalHadoopIndexer.java:89)[druid-services-0.9.1.1.jar:0.9.1.1] at com.google.inject.spi.Elements$RecordingBinder.install(Elements.java:230)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements.getElements(Elements.java:103)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements.getElements(Elements.java:94)[guice-4.0-beta.jar:?] at com.google.inject.util.Modules$RealOverriddenModuleBuilder$1.configure(Modules.java:173)[guice-4.0-beta.jar:?] at com.google.inject.AbstractModule.configure(AbstractModule.java:62)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements$RecordingBinder.install(Elements.java:230)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements.getElements(Elements.java:103)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements.getElements(Elements.java:94)[guice-4.0-beta.jar:?] at com.google.inject.util.Modules$RealOverriddenModuleBuilder$1.configure(Modules.java:153)[guice-4.0-beta.jar:?] at com.google.inject.AbstractModule.configure(AbstractModule.java:62)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements$RecordingBinder.install(Elements.java:230)[guice-4.0-beta.jar:?] at com.google.inject.spi.Elements.getElements(Elements.java:103)[guice-4.0-beta.jar:?] at com.google.inject.internal.InjectorShell$Builder.build(InjectorShell.java:136)[guice-4.0-beta.jar:?] at com.google.inject.internal.InternalInjectorCreator.build(InternalInjectorCreator.java:104)[guice-4.0-beta.jar:?] at com.google.inject.Guice.createInjector(Guice.java:96)[guice-4.0-beta.jar:?] at com.google.inject.Guice.createInjector(Guice.java:73)[guice-4.0-beta.jar:?] at com.google.inject.Guice.createInjector(Guice.java:62)[guice-4.0-beta.jar:?] at io.druid.initialization.Initialization.makeInjectorWithModules(Initialization.java:367)[druid-server-0.9.1.1.jar:0.9.1.1] at io.druid.cli.GuiceRunnable.makeInjector(GuiceRunnable.java:60)[druid-services-0.9.1.1.jar:0.9.1.1] at io.druid.cli.CliInternalHadoopIndexer.run(CliInternalHadoopIndexer.java:108)[druid-services-0.9.1.1.jar:0.9.1.1] at io.druid.cli.Main.main(Main.java:105)[druid-services-0.9.1.1.jar:0.9.1.1] ... 6 more Caused by: com.google.inject.CreationException: Guice creation errors: 1) A binding to com.google.common.base.Supplier<io.druid.server.audit.SQLAuditManagerConfig> was already configured at io.druid.guice.JsonConfigProvider.bind(JsonConfigProvider.java:131). at io.druid.guice.JsonConfigProvider.bind(JsonConfigProvider.java:131)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    You’re the first here who have seen this exception.